{pkgs, ...}: {
  boot = {
    consoleLogLevel = 3;
    initrd.verbose = false;
    loader = {
      timeout = 0;
      systemd-boot = {
        enable = true;
        editor = false;
      };

      efi = {
        canTouchEfiVariables = true;
        efiSysMountPoint = "/boot";
      };
    };
    initrd = {
      systemd.enable = true;
    };
    plymouth = {
      enable = true;
      # themePackages = [
      #   (pkgs.adi1090x-plymouth-themes.override {
      #     selected_themes = ["circle_hud"];
      #   })
      # ];
      # theme = "circle_hud";
    };
  };
}
